Index: /trunk/wp-includes/capabilities.php
===================================================================
--- /trunk/wp-includes/capabilities.php	(revision 15354)
+++ /trunk/wp-includes/capabilities.php	(revision 15355)
@@ -1080,5 +1080,5 @@
 	$current_user = wp_get_current_user();
 
-    if ( is_multisite() && is_super_admin() )
+	if ( is_multisite() && is_super_admin() )
 		return true;
 
Index: /trunk/wp-includes/category-template.php
===================================================================
--- /trunk/wp-includes/category-template.php	(revision 15354)
+++ /trunk/wp-includes/category-template.php	(revision 15355)
@@ -732,7 +732,7 @@
 	endswitch;
 
-    if ( $filter )
+	if ( $filter )
 		return apply_filters( 'wp_generate_tag_cloud', $return, $tags, $args );
-    else
+	else
 		return $return;
 }
Index: /trunk/wp-includes/comment-template.php
===================================================================
--- /trunk/wp-includes/comment-template.php	(revision 15354)
+++ /trunk/wp-includes/comment-template.php	(revision 15355)
@@ -679,7 +679,7 @@
  */
 function comment_type($commenttxt = false, $trackbacktxt = false, $pingbacktxt = false) {
-    if ( false === $commenttxt ) $commenttxt = _x( 'Comment', 'noun' );
-    if ( false === $trackbacktxt ) $trackbacktxt = __( 'Trackback' );
-    if ( false === $pingbacktxt ) $pingbacktxt = __( 'Pingback' );
+	if ( false === $commenttxt ) $commenttxt = _x( 'Comment', 'noun' );
+	if ( false === $trackbacktxt ) $trackbacktxt = __( 'Trackback' );
+	if ( false === $pingbacktxt ) $pingbacktxt = __( 'Pingback' );
 	$type = get_comment_type();
 	switch( $type ) {
@@ -947,8 +947,8 @@
 	global $id, $wpcommentspopupfile, $wpcommentsjavascript;
 
-    if ( false === $zero ) $zero = __( 'No Comments' );
-    if ( false === $one ) $one = __( '1 Comment' );
-    if ( false === $more ) $more = __( '% Comments' );
-    if ( false === $none ) $none = __( 'Comments Off' );
+	if ( false === $zero ) $zero = __( 'No Comments' );
+	if ( false === $one ) $one = __( '1 Comment' );
+	if ( false === $more ) $more = __( '% Comments' );
+	if ( false === $none ) $none = __( 'Comments Off' );
 
 	$number = get_comments_number( $id );
Index: /trunk/wp-includes/cron.php
===================================================================
--- /trunk/wp-includes/cron.php	(revision 15354)
+++ /trunk/wp-includes/cron.php	(revision 15355)
@@ -91,8 +91,8 @@
 	$now = time();
 
-    if ( $timestamp >= $now )
-        $timestamp = $now + $interval;
-    else
-        $timestamp = $now + ($interval - (($now - $timestamp) % $interval));
+	if ( $timestamp >= $now )
+		$timestamp = $now + $interval;
+	else
+		$timestamp = $now + ($interval - (($now - $timestamp) % $interval));
 
 	wp_schedule_event( $timestamp, $recurrence, $hook, $args );
Index: /trunk/wp-includes/formatting.php
===================================================================
--- /trunk/wp-includes/formatting.php	(revision 15354)
+++ /trunk/wp-includes/formatting.php	(revision 15355)
@@ -2827,5 +2827,5 @@
  */
 function capital_P_dangit( $text ) {
-       return str_replace( 'Wordpress', 'WordPress', $text );
+	return str_replace( 'Wordpress', 'WordPress', $text );
 }
 
Index: /trunk/wp-includes/functions.php
===================================================================
--- /trunk/wp-includes/functions.php	(revision 15354)
+++ /trunk/wp-includes/functions.php	(revision 15355)
@@ -670,5 +670,5 @@
 	global $_wp_using_ext_object_cache;
 
-    do_action( 'delete_transient_' . $transient, $transient );
+	do_action( 'delete_transient_' . $transient, $transient );
 
 	if ( $_wp_using_ext_object_cache ) {
@@ -758,5 +758,5 @@
 	global $_wp_using_ext_object_cache;
 
-    $value = apply_filters( 'pre_set_transient_' . $transient, $value );
+	$value = apply_filters( 'pre_set_transient_' . $transient, $value );
 
 	if ( $_wp_using_ext_object_cache ) {
@@ -3785,5 +3785,5 @@
 	global $_wp_using_ext_object_cache;
 
-    $value = apply_filters( 'pre_set_site_transient_' . $transient, $value );
+	$value = apply_filters( 'pre_set_site_transient_' . $transient, $value );
 
 	if ( $_wp_using_ext_object_cache ) {
Index: /trunk/wp-includes/general-template.php
===================================================================
--- /trunk/wp-includes/general-template.php	(revision 15354)
+++ /trunk/wp-includes/general-template.php	(revision 15355)
@@ -1543,5 +1543,5 @@
  * @param string $before Optional Output before the date.
  * @param string $after Optional Output after the date.
-  */
+ */
 function the_weekday_date($before='',$after='') {
 	global $wp_locale, $post, $day, $previousweekday;
Index: /trunk/wp-includes/link-template.php
===================================================================
--- /trunk/wp-includes/link-template.php	(revision 15354)
+++ /trunk/wp-includes/link-template.php	(revision 15355)
@@ -2229,5 +2229,5 @@
  */
 function wp_shortlink_header() {
-    if ( headers_sent() )
+	if ( headers_sent() )
 		return;
 
Index: /trunk/wp-includes/post-thumbnail-template.php
===================================================================
--- /trunk/wp-includes/post-thumbnail-template.php	(revision 15354)
+++ /trunk/wp-includes/post-thumbnail-template.php	(revision 15355)
@@ -58,5 +58,5 @@
  * @param string $size Optional. Image size.  Defaults to 'thumbnail'.
  * @param string|array $attr Optional. Query string or array of attributes.
-  */
+ */
 function get_the_post_thumbnail( $post_id = NULL, $size = 'post-thumbnail', $attr = '' ) {
 	global $id;
Index: /trunk/wp-includes/post.php
===================================================================
--- /trunk/wp-includes/post.php	(revision 15354)
+++ /trunk/wp-includes/post.php	(revision 15355)
@@ -3506,5 +3506,5 @@
 			$del_file = path_join( dirname($meta['file']), $size['file'] );
 			$del_file = apply_filters('wp_delete_file', $del_file);
-            @ unlink( path_join($uploadpath['basedir'], $del_file) );
+			@ unlink( path_join($uploadpath['basedir'], $del_file) );
 		}
 	}
@@ -3579,8 +3579,8 @@
 			if ( 0 === strpos($file, $uploads['basedir']) ) //Check that the upload base exists in the file location
 				$url = str_replace($uploads['basedir'], $uploads['baseurl'], $file); //replace file location with url location
-            elseif ( false !== strpos($file, 'wp-content/uploads') )
-                $url = $uploads['baseurl'] . substr( $file, strpos($file, 'wp-content/uploads') + 18 );
-            else
-                $url = $uploads['baseurl'] . "/$file"; //Its a newly uploaded file, therefor $file is relative to the basedir.
+			elseif ( false !== strpos($file, 'wp-content/uploads') )
+				$url = $uploads['baseurl'] . substr( $file, strpos($file, 'wp-content/uploads') + 18 );
+			else
+				$url = $uploads['baseurl'] . "/$file"; //Its a newly uploaded file, therefor $file is relative to the basedir.
 		}
 	}
Index: /trunk/wp-includes/taxonomy.php
===================================================================
--- /trunk/wp-includes/taxonomy.php	(revision 15354)
+++ /trunk/wp-includes/taxonomy.php	(revision 15355)
@@ -982,20 +982,20 @@
 	$selects = array();
 	switch ( $fields ) {
- 		case 'all':
- 			$selects = array('t.*', 'tt.*');
- 			break;
- 		case 'ids':
+		case 'all':
+			$selects = array('t.*', 'tt.*');
+			break;
+		case 'ids':
 		case 'id=>parent':
- 			$selects = array('t.term_id', 'tt.parent', 'tt.count');
- 			break;
- 		case 'names':
- 			$selects = array('t.term_id', 'tt.parent', 'tt.count', 't.name');
- 			break;
- 		case 'count':
+			$selects = array('t.term_id', 'tt.parent', 'tt.count');
+			break;
+		case 'names':
+			$selects = array('t.term_id', 'tt.parent', 'tt.count', 't.name');
+			break;
+		case 'count':
 			$orderby = '';
 			$order = '';
- 			$selects = array('COUNT(*)');
- 	}
-    $select_this = implode(', ', apply_filters( 'get_terms_fields', $selects, $args ));
+			$selects = array('COUNT(*)');
+	}
+	$select_this = implode(', ', apply_filters( 'get_terms_fields', $selects, $args ));
 
 	$query = "SELECT $select_this FROM $wpdb->terms AS t INNER JOIN $wpdb->term_taxonomy AS tt ON t.term_id = tt.term_id WHERE tt.taxonomy IN ($in_taxonomies) $where $orderby $order $limit";
Index: /trunk/wp-includes/user.php
===================================================================
--- /trunk/wp-includes/user.php	(revision 15354)
+++ /trunk/wp-includes/user.php	(revision 15355)
@@ -753,9 +753,9 @@
 	}
 
-    $metas = get_user_metavalues($ids);
+	$metas = get_user_metavalues($ids);
 
 	foreach($users as $user_object) {
 		if (isset($metas[$user_object->ID])) {
-	        _fill_single_user($user_object, $metas[$user_object->ID]);
+			_fill_single_user($user_object, $metas[$user_object->ID]);
 		}
 	}
Index: /trunk/wp-includes/wp-db.php
===================================================================
--- /trunk/wp-includes/wp-db.php	(revision 15354)
+++ /trunk/wp-includes/wp-db.php	(revision 15355)
@@ -791,6 +791,6 @@
 	 * Escape data. Works on arrays.
 	 *
-     * @uses wpdb::_escape()
-     * @uses wpdb::_real_escape()
+	 * @uses wpdb::_escape()
+	 * @uses wpdb::_real_escape()
 	 * @since  2.8
 	 * @access private