Index: /trunk/wp-admin/includes/class-wp-posts-list-table.php
===================================================================
--- /trunk/wp-admin/includes/class-wp-posts-list-table.php	(revision 16331)
+++ /trunk/wp-admin/includes/class-wp-posts-list-table.php	(revision 16332)
@@ -597,5 +597,5 @@
 			?>
 			<td <?php echo $attributes ?>><?php
-				$categories = get_the_category();
+				$categories = get_the_categories();
 				if ( !empty( $categories ) ) {
 					$out = array();
Index: /trunk/wp-content/themes/twentyten/loop.php
===================================================================
--- /trunk/wp-content/themes/twentyten/loop.php	(revision 16331)
+++ /trunk/wp-content/themes/twentyten/loop.php	(revision 16332)
@@ -142,5 +142,5 @@
 
 			<div class="entry-utility">
-				<?php if ( count( get_the_category() ) ) : ?>
+				<?php if ( count( get_the_categories() ) ) : ?>
 					<span class="cat-links">
 						<?php printf( __( '<span class="%1$s">Posted in</span> %2$s', 'twentyten' ), 'entry-utility-prep entry-utility-prep-cat-links', get_the_category_list( ', ' ) ); ?>
Index: /trunk/wp-includes/category-template.php
===================================================================
--- /trunk/wp-includes/category-template.php	(revision 16331)
+++ /trunk/wp-includes/category-template.php	(revision 16332)
@@ -58,27 +58,11 @@
  * Retrieve post categories.
  *
- * @since 0.71
- * @uses $post
+ * @since 3.1
  *
  * @param int $id Optional, default to current post ID. The post ID.
  * @return array
  */
-function get_the_category( $id = false ) {
-	global $post;
-
-	$id = (int) $id;
-	if ( !$id )
-		$id = (int) $post->ID;
-
-	$categories = get_object_term_cache( $id, 'category' );
-	if ( false === $categories ) {
-		$categories = wp_get_object_terms( $id, 'category' );
-		wp_cache_add($id, $categories, 'category_relationships');
-	}
-
-	if ( !empty( $categories ) )
-		usort( $categories, '_usort_terms_by_name' );
-	else
-		$categories = array();
+function get_the_categories( $id = false ) {
+	$categories = get_the_terms( $id, 'category' );
 
 	foreach ( (array) array_keys( $categories ) as $key ) {
@@ -86,5 +70,5 @@
 	}
 
-	return $categories;
+	return apply_filters( 'get_the_categories', $categories );
 }
 
@@ -156,5 +140,5 @@
 function get_the_category_list( $separator = '', $parents='', $post_id = false ) {
 	global $wp_rewrite;
-	$categories = get_the_category( $post_id );
+	$categories = get_the_categories( $post_id );
 	if ( !is_object_in_taxonomy( get_post_type( $post_id ), 'category' ) )
 		return apply_filters( 'the_category', '', $separator, $parents );
Index: /trunk/wp-includes/deprecated.php
===================================================================
--- /trunk/wp-includes/deprecated.php	(revision 16331)
+++ /trunk/wp-includes/deprecated.php	(revision 16332)
@@ -73,6 +73,6 @@
  * @since 0.71
  * @deprecated 0.71
- * @deprecated use get_the_category()
- * @see get_the_category()
+ * @deprecated use get_the_categories()
+ * @see get_the_categories()
  *
  * @param bool $echo
@@ -80,8 +80,8 @@
  */
 function the_category_ID($echo = true) {
-	_deprecated_function( __FUNCTION__, '0.71', 'get_the_category()' );
+	_deprecated_function( __FUNCTION__, '0.71', 'get_the_categories()' );
 
 	// Grab the first cat in the list.
-	$categories = get_the_category();
+	$categories = get_the_categories();
 	$cat = $categories[0]->term_id;
 
@@ -109,5 +109,5 @@
 
 	// Grab the first cat in the list.
-	$categories = get_the_category();
+	$categories = get_the_categories();
 	$currentcat = $categories[0]->category_id;
 	if ( $currentcat != $previouscat ) {
@@ -2557,2 +2557,18 @@
 	return false;
 }
+
+/**
+ * Retrieve post categories.
+ *
+ * @since 0.71
+ * @uses $post
+ * @deprecated 3.1
+ * @deprecated Use get_post_categories() instead.
+ *
+ * @param int $id Optional, default to current post ID. The post ID.
+ * @return array
+ */
+function get_the_category( $id = false ) {
+	_deprecated_function( __FUNCTION__, '3.1', 'get_the_categories()' );
+	return get_the_categories( $id );
+}
Index: /trunk/wp-includes/feed.php
===================================================================
--- /trunk/wp-includes/feed.php	(revision 16331)
+++ /trunk/wp-includes/feed.php	(revision 16332)
@@ -300,5 +300,5 @@
 	if ( empty($type) )
 		$type = get_default_feed();
-	$categories = get_the_category();
+	$categories = get_the_categories();
 	$tags = get_the_tags();
 	$the_list = '';
Index: /trunk/wp-includes/link-template.php
===================================================================
--- /trunk/wp-includes/link-template.php	(revision 16331)
+++ /trunk/wp-includes/link-template.php	(revision 16332)
@@ -120,5 +120,5 @@
 		$category = '';
 		if ( strpos($permalink, '%category%') !== false ) {
-			$cats = get_the_category($post->ID);
+			$cats = get_the_categories($post->ID);
 			if ( $cats ) {
 				usort($cats, '_usort_terms_by_ID'); // order by ID
Index: /trunk/wp-includes/post-template.php
===================================================================
--- /trunk/wp-includes/post-template.php	(revision 16331)
+++ /trunk/wp-includes/post-template.php	(revision 16332)
@@ -350,5 +350,5 @@
 	// Categories
 	if ( is_object_in_taxonomy( $post->post_type, 'category' ) ) {
-		foreach ( (array) get_the_category($post->ID) as $cat ) {
+		foreach ( (array) get_the_categories($post->ID) as $cat ) {
 			if ( empty($cat->slug ) )
 				continue;